function spA=amat2sparse(A)
  assert( fc_linalg3D.is3Darray(A) )
  [N,m,n]=size(A);
  Im=reshape(1:m*N,m,N);
  I=permute(repmat(Im,[1,1,n]),[2,1,3]);
  Jn=reshape(1:n*N,n,N);
  J=permute(repmat(Jn,[1,1,m]),[2,3,1]);
  spA=sparse(I(:),J(:),A(:),m*N,n*N);
end
