function C=mtimes_Vec(X,Y)
  assert( fc_linalg3D.is3Darray(X) || fc_linalg3D.is3Darray(Y) )
  if isscalar(X) || isscalar(Y)==1, C=X*Y;return;end % X or Y is constant (to improve performance)
  [getX,getY,N,dimX,dimY]=fc_linalg3D.getVecs(X,Y);
  assert( dimX(3)==dimY(2) );
  C=zeros(N,dimX(2),dimY(3));
  for i=1:dimX(2)
    for j=1:dimY(3)
      for l=1:dimX(3)
        C(:,i,j)=C(:,i,j)+getX(X,i,l).*getY(Y,l,j);
      end
    end
  end
end
