function env=environment(varargin)
% FUNCTION env=fc_linalg3D.environment()
%   Retrieves the toolbox/package environment directories.
%
% Copyright (C) 2018 F. Cuvelier

  [conffile,isFileExists]=fc_linalg3D.getLocalConfFile();
  if ~isFileExists
    fprintf('Try to use default parameters!\n Use fc_linalg3D.configure to configure.')
    fc_linalg3D.configure();
  end
  run(conffile);
  env.fc_tools_dir=fc_tools_dir;
  env.fc_bench_dir=fc_bench_dir;
  fullname=mfilename('fullpath');
  I=strfind(fullname,filesep);
  Path=fullname(1:(I(end-1)-1));
  env.Path=Path; % current toolbox path
end
