function [N,dimA,dimB]=getNdims(A,B)
  isA3D=fc_linalg3D.is3Darray(A);
  isB3D=fc_linalg3D.is3Darray(B);
  assert( isA3D || isB3D , 'One of the parameters must be an 3D-array')
  [dimA,dimB]=fc_linalg3D.getDimensions(A,B);
  if isA3D 
    if isB3D, assert(dimA(1)==dimB(1));end
    N=dimA(1);
  else 
    N=dimB(1);
  end
end
